#ifndef _vector4

#define _vector4


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes


typedef struct vector4{

	float x;

	float y;

	float z;

	float w;


} vector4;

void vector4_constructor( vector4 * this, float x,  float y,  float z,  float w );

vector4 * vector4_operator_plus( vector4 * this, vector4 * b );

vector4 * vector4_operator_add( vector4 * this, vector4 * b );

void vector4_add( vector4 * this, vector4 * b );

vector4 vector4_new( float x, float y, float z, float w );

vector4 * vector4_newPointer( float x, float y, float z, float w );

#endif


typedef struct vector4 vector4;



